# Copyright (C) 2025 by Animath
# SPDX-License-Identifier: GPL-3.0-or-later

from django.conf import settings
from django.core.management import BaseCommand

from ...models import Survey


class Command(BaseCommand):
    def handle(self, *args, **kwargs):
        for survey in Survey.objects.all():
            survey.fetch_completion_data()
